# Uses of Class
org.apache.lucene.util.CharsRef

Packages that use CharsRef
Package
Description
org.apache.lucene.util
Some utility classes.
org.apache.lucene.util.fst
Finite state transducers

- ## Uses of CharsRef in org.apache.lucene.util

  Methods in org.apache.lucene.util that return CharsRef
  Modifier and Type
  Method
  Description
  `CharsRef`
  CharsRef.`clone()`
  Returns a shallow clone of this instance (the underlying characters are not copied and will be shared by both the returned object and this object.
  `static CharsRef`
  CharsRef.`deepCopyOf(CharsRef other)`
  Creates a new CharsRef that points to a copy of the chars from `other`
  `CharsRef`
  CharsRefBuilder.`get()`
  Return a `CharsRef` that points to the internal content of this builder.
  `CharsRef`
  CharsRefBuilder.`toCharsRef()`
  Build a new `CharsRef` that has the same content as this builder.
  Methods in org.apache.lucene.util that return types with arguments of type CharsRef
  Modifier and Type
  Method
  Description
  `static Comparator<CharsRef>`
  CharsRef.`getUTF16SortedAsUTF8Comparator()`
  Deprecated.
  This comparator is only a transition mechanism
  Methods in org.apache.lucene.util with parameters of type CharsRef
  Modifier and Type
  Method
  Description
  `boolean`
  CharsRef.`charsEquals(CharsRef other)`
  `int`
  CharsRef.`compareTo(CharsRef other)`
  Signed int order comparison
  `void`
  CharsRefBuilder.`copyChars(CharsRef other)`
  Copies the given `CharsRef` referenced content into this instance.
  `static CharsRef`
  CharsRef.`deepCopyOf(CharsRef other)`
  Creates a new CharsRef that points to a copy of the chars from `other`

- ## Uses of CharsRef in org.apache.lucene.util.fst

  Methods in org.apache.lucene.util.fst that return CharsRef
  Modifier and Type
  Method
  Description
  `CharsRef`
  CharSequenceOutputs.`add(CharsRef prefix, CharsRef output)`
  `CharsRef`
  CharSequenceOutputs.`common(CharsRef output1, CharsRef output2)`
  `CharsRef`
  CharSequenceOutputs.`getNoOutput()`
  `CharsRef`
  CharSequenceOutputs.`read(DataInput in)`
  `CharsRef`
  CharSequenceOutputs.`subtract(CharsRef output, CharsRef inc)`
  Methods in org.apache.lucene.util.fst with parameters of type CharsRef
  Modifier and Type
  Method
  Description
  `CharsRef`
  CharSequenceOutputs.`add(CharsRef prefix, CharsRef output)`
  `CharsRef`
  CharSequenceOutputs.`common(CharsRef output1, CharsRef output2)`
  `String`
  CharSequenceOutputs.`outputToString(CharsRef output)`
  `long`
  CharSequenceOutputs.`ramBytesUsed(CharsRef output)`
  `CharsRef`
  CharSequenceOutputs.`subtract(CharsRef output, CharsRef inc)`
  `void`
  CharSequenceOutputs.`write(CharsRef prefix, DataOutput out)`